#include "led_blikani.h"

#define ON  0
#define OFF 1

LED::LED(uint16_t _perioda, uint8_t _pin) {
  pin = _pin;
  perioda = _perioda;
  pinMode(pin, OUTPUT);
  digitalWrite(pin, OFF);
}

void LED::delej() {
  if (millis() - cas >= perioda) {
    digitalWrite(pin, !digitalRead(pin));
    cas += perioda;
  }
}
